Subject: TEst 20

From: "Dr. R. Stephens" <[email-masked]>
Date: Wed, 26 Jan 2005 17:50:29 -0800

celebrate Science and Humanity, on or near Darwin's birthday, Feb. 12, 
2005, we at 'DarwinDay.org' want to gently remind you that there is 
still time to participate.  If conditions do not permit a more elaborate 
celebration this year, those of you who are teaching in February could 
dedicate one of your lectures to the concept of Darwin Day.  DarwinDay